import { SearchResponse as BaseSearchResponse } from '@elastic/elasticsearch/lib/api/types';
import { ClassConstructor, Document } from '../common';
import { AggregationsContainer } from '../aggregations';
import { TDocumentWrapper, TransformedAggregations } from '../transformers';
export type SearchResponse<TDocument extends Document, TAggregationsBody extends AggregationsContainer<TDocument>> = {
    total: number;
    documents: Array<TDocumentWrapper<TDocument>>;
    aggregations: TransformedAggregations<TDocument, TAggregationsBody>;
};
export declare const getSearchResponse: <TDocument extends Document, TAggregationsBody extends AggregationsContainer<TDocument>>(document: ClassConstructor<TDocument>, { hits, aggregations }: BaseSearchResponse<TDocument, TAggregationsBody>) => SearchResponse<TDocument, TAggregationsBody>;
