import { ClusterHealthHealthResponseBody, ClusterHealthRequest } from '@elastic/elasticsearch/lib/api/types';
import { ElasticsearchService as BaseElasticsearchService } from '@nestjs/elasticsearch';
import { ClassConstructor, Document } from '../lib/common';
import { AggregationsContainer } from '../lib/aggregations';
import { SearchRequestOptions } from '../lib/requests';
import { Index } from './injectables';
export declare class ElasticsearchService {
    private readonly baseElasticsearchService;
    constructor(baseElasticsearchService: BaseElasticsearchService);
    search<TDocument extends Document, TAggregationsBody extends AggregationsContainer<TDocument>>(document: ClassConstructor<TDocument>, options?: SearchRequestOptions<TDocument, TAggregationsBody>): Promise<import("../lib/responses").SearchResponse<TDocument, TAggregationsBody>>;
    getIndex<TDocument extends Document>(document: ClassConstructor<TDocument>): Index<TDocument>;
    getClusterHealth(options?: ClusterHealthRequest): Promise<ClusterHealthHealthResponseBody>;
    getBaseService(): BaseElasticsearchService;
}
